searchNodes=[{"ref":"CheckerCab.html","title":"CheckerCab","type":"module","doc":"Documentation for CheckerCab. This documentation assumes these functions are used in the context of unit tests."},{"ref":"CheckerCab.html#assert_values_for/1","title":"CheckerCab.assert_values_for/1","type":"function","doc":"Compares the values of two maps for specified keys. When values do not match, this function will flunk the current test with explicit information about the first value that did not match. This function also accepts a list of fields to not compare, and can be mixed with the fields to compare. This function assumes keys are atoms unless specified as :string_keys, and will convert keys into a common type before comparing values (can compare atom-keyed and string-keyed maps with same-named keys). Additionally, :atom_keys can be provided to be more explicit. Options :convert_dates When true, will convert date-representing values to ISO-8601 formatted strings. Examples ## your_unit_test.exs expected = %{key1: :value, key2: :value, key3: :value} actual = %{&quot;key1&quot; =&gt; :value, &quot;key2&quot; =&gt; :value, &quot;key3&quot; =&gt; :value} ## returns :ok when expected and actual match assert_values_for( expected: expected, actual: {actual, :string_keys}, fields: [:key1, :key2, :key3] ) With dates: expected = %{date: ~U[2021-12-17 03:08:36.579609Z], key2: :value, key3: :value} actual = %{&quot;date&quot; =&gt; &quot;2021-12-17T03:08:36.579609Z&quot;, &quot;key2&quot; =&gt; :value, &quot;key3&quot; =&gt; :value} ## Will not flunk for different types of dates if they both convert to the same ISO 8601 string assert_values_for( expected: expected, actual: {actual, :string_keys}, fields: [:date, :key2, :key3], opts: [convert_dates: true] ) Using :skip_fields: expected = %{key1: :value, key2: :value, key3: :value, value_that_wont_match: &quot;Panama&quot;} actual = %{key1: :value, key2: :value, key3: :value, value_that_wont_match: &quot;Manimal&quot;} ## Returns :ok when expected and actual match. Can exclude fields anticipated to be different. assert_values_for( expected: expected, actual: actual, fields: [:key1, :key2, :key3], skip_fields: [:value_that_wont_match] )"},{"ref":"CheckerCab.html#fields_for/1","title":"CheckerCab.fields_for/1","type":"function","doc":"Returns the keys of a map or struct. Examples iex&gt; fields_for(%{&quot;string_key1&quot; =&gt; :value, &quot;string_key2&quot; =&gt; :value}) [&quot;string_key1&quot;, &quot;string_key2&quot;] iex&gt; fields_for(%{atom_key1: :value, atom_key2: :value}) [:atom_key1, :atom_key2] Returns a list of defined keys from struct arguments (:__struct__ is not returned) iex&gt; fields_for(%StructModule{}) [:key1, :key2, :key3] Returns a list of defined keys from Ecto.Schema arguments, but does not return virtual fields. iex&gt; fields_for(%EctoSchemaModule{}) [:id, :field1, :field2, :field3] Additionally, the function accepts the module name of an Ecto.Schema. This does not work with structs. iex&gt; fields_for(EctoSchemaModule) [:id, :field1, :field2, :field3]"},{"ref":"CheckerCab.html#t:comparable_input/0","title":"CheckerCab.comparable_input/0","type":"type","doc":""},{"ref":"CheckerCab.html#t:inputs/0","title":"CheckerCab.inputs/0","type":"type","doc":""},{"ref":"CheckerCab.html#t:option/0","title":"CheckerCab.option/0","type":"type","doc":""}]